/**
Theme Name: Na językach
Author: TM
Author URI: http://mtprogress.pl
Description: MT Progress
Version: 1.0
License: GNU General Public License v2 or later
License URI: http://www.gnu.org/licenses/gpl-2.0.html
Text Domain: najezykach
Template: astra
*/




html {
    scroll-padding-top: 90px; /* dopasuj do wysokości sticky header */
    scroll-behavior: smooth;
}

:target {
    scroll-margin-top: 90px;
}


/*Menu*/

.ast-builder-menu-1 .menu-item.current-menu-item > .menu-link, .ast-builder-menu-1 .inline-on-mobile .menu-item.current-menu-item > .ast-menu-toggle, .ast-builder-menu-1 .current-menu-ancestor > .menu-link {
  color: #550734;
}

.ast-builder-menu-1 .menu-item > .menu-link {
  color: #550734;
}

.ast-builder-menu-1 .menu-item > .menu-link:hover {
  color: #550734;
  transform: scale(1.2);
  transition: all .2s linear;
  display: inline-block;
  
}




.wpcf7 input:not([type="submit"]),
.wpcf7 select,
.wpcf7 textarea {
    max-height: 120px;
}

.wpcf7 form > div,
.wpcf7 form > p {
    margin-bottom: 0.7em;

}

.eb-post-grid-wrapper .ebpg-entry-meta .ebpg-entry-meta-items {
    align-items: center;
    display: contents;
    flex-wrap: wrap;
}


.ebpg-posted-on {
    color: #9e9e9e;
    font-size: 13px;
   
    bottom: 0;
}

.ebpg-header-meta {
    justify-content: none;
}

.ast-blog-layout-4-grid .ast-article-inner .wp-post-image {
    width: 100%;
    padding: 10px;
    border-radius: 20px 20px 0 0;
}

.ast-read-more-container a {
    font-size: 15px;
    color: #fff;
}

@media (min-width: 922px) {

    .ast-separate-container.ast-right-sidebar #secondary,
    .ast-separate-container.ast-left-sidebar #secondary {
        border: 0;
        border-left-style: none;

        margin-left: 33px;
        margin-right: auto;
        border-left: 1px solid #b34391;
        padding-left: 20px;
    }
}

.eb-image-wrapper-inner img {
    height: 300px;
    transition: transform .3s;
    width: auto;
}

.wp-block-search__label {
    width: 100%;
    color: #590d39;
}

.uagb-block-169aadcd.uagb-infobox__content-wrap img {

    border-radius: 20px;
}

.wp-block-categories-list {
    list-style-type: none;

}

.ast-single-post .entry-content a {
    text-decoration: none;
}

.ebpg-readmore-btn {
    text-align: right;
    order: 10;
}





.wp-block-uagb-container.uagb-is-root-container .uagb-block-c5a8a565 {
  width: 100%;
  border: 1px #b34391 solid;
  border-radius: 10px;	
  padding: 10px;
  background-color: #fef8fe;
	
}

.wp-block-uagb-container.uagb-is-root-container .uagb-block-c5a8a565 p {
    margin-bottom: -1em;
}


.wp-block-latest-posts li {
    position: relative;
    padding-bottom: 12px;
    margin-bottom: 12px;
}

.wp-block-latest-posts li::after {
    content: "";
    position: absolute;
    bottom: 0;
    left: 0;
    width: 100%;
    height: 1px;
    background: linear-gradient(to right,
            transparent,
            #ddd,
            transparent);
}

.wp-block-latest-posts li:last-child::after {
    display: none;
}

.sidebar .wp-block-separator,
.ast-sidebar .wp-block-separator {
    border: none !important;
    height: 1px;
    background: linear-gradient(to right,
            transparent,
            #ddd,
            transparent);
    margin: 16px 0;
}

/*Nagłówek + sticky*/
.ast-site-identity {
    padding: 0.1em 0;
}

/*@media (min-width: 922px) {*/
@media (min-width: 1280px) {
    header .custom-logo-link img {
        max-width: 150px;
        width: 150px;
        position: absolute;
        margin-left: 3em;
        margin-top: -28px;
    }

    #mysticky-nav.wrapfixed .myfixed img {
        max-width: 80px;
        width: 80px;
        margin-top: -38px;

    }

    .mysticky-wrap {
        max-height: 90px;
        height: 90px;
    }

    .site-header-primary-section-right {
        max-height: 50px;
    }

}

/*Koniec nagłówka*/

#kontakt, #aktualnosci, #oferta, #opinie, #dlaczego-ja, #materialy {
	padding-top:60px;
}

#cmplz-manage-consent .cmplz-manage-consent {

  left: 40px !important;
  right: auto !important;
}

img {
    max-width: 100%;
    height: auto !important;
    contain-intrinsic-size: auto !important;
}

.back-btn{
    display:inline-block;
    margin:20px 0;
    color:#b34391;
    text-decoration:none;
    transition:0.2s;
	font-size: 1em;
}
.back-btn:hover{
    transform:translateX(-5px);
    color:#fb5fab;
}

.ast-separate-container.ast-two-container #secondary .widget {
	padding:0 !important;
}


@media (max-width: 922px) {
  .ast-builder-menu-mobile .main-navigation .main-header-menu .menu-item > .menu-link {
    color: #b34391;
    background-color: #fef8fe;
	border-bottom:1px #b34391 solid; 
	  font-size:1em;
  }
}

@media (max-width: 768px) {
    body {
        font-size: 22px; /* Zwiększa rozmiar tekstu body na mobile */
    }
    h1, h2, h3, h4 {
        font-size: 24px; /* Zwiększa nagłówki na mobile */
    }
    
}


hr {
    border: 0;
    height: 1px;
    width: 100%;
    background: linear-gradient(to right, transparent, #ddd, transparent);
}

.uagb-container-inner-blocks-wrap {
	width:auto !important;
}

wp-block-uagb-image alignright uagb-block-86e73668 wp-block-uagb-image--layout-default wp-block-uagb-image--effect-static wp-block-uagb-image--align-right {
	min-width: 100% !important;
}